Name:		gosnake
Version:	2.0
Release:	3%{?dist}
Summary:	The Console Snake Game

Group:		Amusements/Games
License:	GPLv3+
URL:		http://sites.google.com/site/mohammedisam2000/home/projects
Source0:	http://sites.google.com/site/mohammedisam2000/home/projects/%{name}-%{version}.tar.gz

Requires(post): info
Requires(preun): info
Requires:	gnudos
BuildRequires:	gnudos-devel

%description
GoSnake is a simple yet nice implementation of the well known snake game.
It is designed to run under the GNU/Linux console (including terminal
emulators). The aim of the game is simple: control your snake and move 
it around to eat food without hitting walls, or colliding with itself.
The game includes many levels with an option to play levels randomly, 
and a high score board.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

install -m 0644 -p -D info/gosnake.info* %{buildroot}%{_infodir}/gosnake.info

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info* %{_infodir}/dir || :
fi

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_docdir}/gosnake

#%%doc AUTHORS README COPYING ChangeLog
%license COPYING

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 01 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 2.0-1
- Bug fixes
- Added more levels

* Tue Oct 13 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.2-1
- Added commandline '--level' option
- Fixed black background

* Mon Jun 29 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-1
- Corrected license issue

* Wed Nov 19 2014 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.0-1
- First release
